# upstream tests require the upstream repo, so we can't run those

Name:       python-setuptools-git-versioning
Version:    2.1.0
Release:    %mkrel 3
Summary:    Use git repo data for building a version number according PEP-440
Group:      Development/Python

License:    MIT
URL:        https://setuptools-git-versioning.readthedocs.io/
Source0:    https://github.com/dolfinus/setuptools-git-versioning/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  python3-devel
# man page
BuildRequires:  help2man

%description
Use git repo data (latest tag, current commit hash, etc) for building a version
number according PEP 440.

%package -n python3-setuptools-git-versioning
Summary:    Support for physical quantities with units, based on numpy

%description -n python3-setuptools-git-versioning
Use git repo data (latest tag, current commit hash, etc) for building a version
number according PEP 440.

%prep
%autosetup -n setuptools-git-versioning-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files setuptools_git_versioning

for binary in setuptools-git-versioning
do
    echo "Generating man page for ${binary// /-/}"
    PYTHONPATH="$PYTHONPATH:%{buildroot}/%{python3_sitelib}/" PATH="$PATH:%{buildroot}/%{_bindir}/" help2man --no-info --no-discard-stderr --name="${binary}" --version-string="${binary} %{version}" --output="${binary// /-}.1" "${binary}"
    cat "${binary// /-}.1"
    install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 -D "${binary// /-}.1"
done

%check
%pyproject_check_import

%files -n python3-setuptools-git-versioning -f %{pyproject_files}
%{_bindir}/setuptools-git-versioning
%{_mandir}/man1/setuptools-git-versioning.*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1.0-3.mga10
+ Revision: 2240596
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.1.0-2.mga10
+ Revision: 2157597
- rebuild for python3.13

* Sun Mar 02 2025 wally <wally> 2.1.0-1.mga10
+ Revision: 2156981
- new version 2.1.0
- rebuild for pyhton3.13

* Tue Jul 02 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2078857
- new version 2.0.0

* Sat Mar 02 2024 papoteur <papoteur> 1.13.6-1.mga10
+ Revision: 2047226
- imported package python-setuptools-git-versioning

